"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.blockquoteSharedStyles = void 0;
var _react = require("@emotion/react");
var _editorSharedStyles = require("@atlaskit/editor-shared-styles");
var blockquoteSharedStyles = exports.blockquoteSharedStyles = (0, _react.css)({
  '& blockquote': {
    boxSizing: 'border-box',
    paddingLeft: "var(--ds-space-200, 16px)",
    borderLeft: "2px solid ".concat("var(--ds-border, ".concat(_editorSharedStyles.akEditorBlockquoteBorderColor, ")")),
    // eslint-disable-next-line @atlaskit/design-system/ensure-design-token-usage/preview
    margin: "".concat(_editorSharedStyles.blockNodesVerticalMargin, " 0 0 0"),
    marginRight: 0,
    "[dir='rtl'] &": {
      paddingLeft: 0,
      paddingRight: "var(--ds-space-200, 16px)"
    },
    '&:first-child': {
      marginTop: 0
    },
    '&::before': {
      content: "''"
    },
    '&::after': {
      content: 'none'
    },
    '& p': {
      display: 'block'
    },
    '& table, & table:last-child': {
      display: 'inline-table'
    }
  }
});