"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.wrapperStyle = exports.triggerWrapperStyles = exports.separatorStyles = exports.buttonGroupStyle = void 0;
var _react = require("@emotion/react");
var _colors = require("@atlaskit/theme/colors");
var buttonGroupStyle = exports.buttonGroupStyle = (0, _react.css)({
  display: 'inline-flex',
  alignItems: 'center',
  '& > div': {
    display: 'flex'
  }
});

// This style is copied to packages/editor/editor-plugin-ai/src/ui/components/AtlassianIntelligenceToolbarButton/styles.tsx
// If you make change here, change in above file as well.
var separatorStyles = exports.separatorStyles = (0, _react.css)({
  background: "var(--ds-border, ".concat(_colors.N30, ")"),
  width: '1px',
  height: '24px',
  display: 'inline-block',
  margin: "0 ".concat("var(--ds-space-100, 8px)"),
  userSelect: 'none'
});

// This style is copied to packages/editor/editor-plugin-ai/src/ui/components/AtlassianIntelligenceToolbarButton/styles.tsx
// If you make change here, change in above file as well.
var wrapperStyle = exports.wrapperStyle = (0, _react.css)({
  display: 'flex',
  alignItems: 'center',
  '> div, > span': {
    display: 'flex'
  },
  '> div > div': {
    display: 'flex'
  },
  marginLeft: 0,
  minWidth: 'auto'
});
var triggerWrapperStyles = exports.triggerWrapperStyles = (0, _react.css)({
  display: 'flex'
});