import React from 'react';
import { jsx } from '@emotion/react';
export declare const messages: {
    collapseNode: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    expandDefaultTitle: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    expandNode: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    expandPlaceholderText: {
        id: string;
        defaultMessage: string;
        description: string;
    };
};
export interface StyleProps {
    expanded?: boolean;
    focused?: boolean;
    'data-node-type'?: 'expand' | 'nestedExpand';
    'data-title'?: string;
}
export declare const ExpandIconWrapper: ({ children, expanded, }: React.HTMLAttributes<HTMLDivElement> & {
    expanded: boolean;
}) => jsx.JSX.Element;
export declare const expandLayoutWrapperStyle: import("@emotion/react").SerializedStyles;
export declare const ExpandLayoutWrapperWithRef: React.ForwardRefExoticComponent<React.HTMLAttributes<HTMLDivElement> & React.RefAttributes<any>>;
export declare const sharedExpandStyles: {
    titleInputStyles: () => import("@emotion/react").SerializedStyles;
    titleContainerStyles: () => import("@emotion/react").SerializedStyles;
    containerStyles: (styleProps: StyleProps) => () => import("@emotion/react").SerializedStyles;
    contentStyles: (styleProps: StyleProps) => () => import("@emotion/react").SerializedStyles;
};
