import React from 'react';
type SimpleEventHandler<T> = (event: T) => void;
export interface WithOutsideClickProps {
    handleClickOutside?: SimpleEventHandler<MouseEvent>;
    handleEscapeKeydown?: SimpleEventHandler<KeyboardEvent>;
    handleEnterKeydown?: SimpleEventHandler<KeyboardEvent>;
    targetRef?: any;
    closeOnTab?: boolean;
}
export default function withReactEditorViewOuterListeners<P extends {}>(Component: React.ComponentType<React.PropsWithChildren<P>>): React.ComponentType<React.PropsWithChildren<P & WithOutsideClickProps>>;
export {};
