/** @jsx jsx */
import React from 'react';
import { WrappedComponentProps } from 'react-intl-next';
import { Node as PMNode } from '@atlaskit/editor-prosemirror/model';
import { UnsupportedContentTooltipPayload } from '../../utils';
export interface Props {
    node?: PMNode;
    children?: React.ReactNode;
    dispatchAnalyticsEvent?: (payload: UnsupportedContentTooltipPayload) => void;
}
declare const _default: React.FC<import("react-intl-next").WithIntlProps<Props & WrappedComponentProps>> & {
    WrappedComponent: React.ComponentType<Props & WrappedComponentProps>;
};
export default _default;
