"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.columnLayoutSharedStyle = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = require("@emotion/react");
var _editorSharedStyles = require("@atlaskit/editor-shared-styles");
var columnLayoutSharedStyle = exports.columnLayoutSharedStyle = (0, _react.css)({
  '[data-layout-section]': (0, _defineProperty2.default)({
    position: 'relative',
    display: 'flex',
    flexDirection: 'row',
    '& > *': {
      flex: 1,
      minWidth: 0
    },
    '& > .unsupportedBlockView-content-wrap': {
      minWidth: 'initial'
    }
  }, "@media screen and (max-width: ".concat(_editorSharedStyles.gridMediumMaxWidth, "px)"), {
    flexDirection: 'column'
  })
});