"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.richMediaClassName = exports.mediaSingleSharedStyle = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = require("@emotion/react");
var _css;
var richMediaClassName = exports.richMediaClassName = 'rich-media-item';
var wrappedMediaBreakoutPoint = 410;
var mediaSingleSharedStyle = exports.mediaSingleSharedStyle = (0, _react.css)((_css = {}, (0, _defineProperty2.default)(_css, "li .".concat(richMediaClassName), {
  margin: 0
}), (0, _defineProperty2.default)(_css, '&.ua-chrome li > .mediaSingleView-content-wrap::before', {
  content: "''",
  display: 'block',
  height: 0
}), (0, _defineProperty2.default)(_css, '&.ua-firefox', {
  '.mediaSingleView-content-wrap': {
    userSelect: 'none'
  },
  '.captionView-content-wrap': {
    userSelect: 'text'
  }
}), (0, _defineProperty2.default)(_css, ".mediaSingleView-content-wrap[layout='center']", {
  clear: 'both'
}), (0, _defineProperty2.default)(_css, "table .".concat(richMediaClassName), {
  marginTop: "var(--ds-space-150, 12px)",
  marginBottom: "var(--ds-space-150, 12px)",
  clear: 'both',
  '&.image-wrap-left, &.image-wrap-right': {
    clear: 'none',
    '&:first-child': {
      marginTop: "var(--ds-space-150, 12px)"
    }
  }
}), (0, _defineProperty2.default)(_css, ".".concat(richMediaClassName, ".image-wrap-right + .").concat(richMediaClassName, ".image-wrap-left"), {
  clear: 'both'
}), (0, _defineProperty2.default)(_css, ".".concat(richMediaClassName, ".image-wrap-left + .").concat(richMediaClassName, ".image-wrap-right, .").concat(richMediaClassName, ".image-wrap-right + .").concat(richMediaClassName, ".image-wrap-left, .").concat(richMediaClassName, ".image-wrap-left + .").concat(richMediaClassName, ".image-wrap-left, .").concat(richMediaClassName, ".image-wrap-right + .").concat(richMediaClassName, ".image-wrap-right"), {
  marginRight: 0,
  marginLeft: 0
}), (0, _defineProperty2.default)(_css, "@media all and (max-width: ".concat(wrappedMediaBreakoutPoint, "px)"), {
  "div.mediaSingleView-content-wrap[layout='wrap-left'], div.mediaSingleView-content-wrap[data-layout='wrap-left'], div.mediaSingleView-content-wrap[layout='wrap-right'], div.mediaSingleView-content-wrap[data-layout='wrap-right']": {
    float: 'none',
    overflow: 'auto',
    margin: "var(--ds-space-150, 12px)".concat(" 0")
  }
}), _css));