/** @jsx jsx */

import { jsx } from '@emotion/react';
import Spinner from '@atlaskit/spinner';
import { ICON_SIZE_THRESOLD } from './constants';
import { Frame } from './frame';
export const InlineImageCardLoadingView = ({
  testId = 'media-inline-image-card-loading-view',
  height = ICON_SIZE_THRESOLD
}) => {
  return jsx(Frame, {
    testId: testId
  }, jsx(Spinner, {
    size: height > ICON_SIZE_THRESOLD ? 'medium' : 'small'
  }));
};