import type { EditorState } from '@atlaskit/editor-prosemirror/state';
import type { ACTION, AnalyticsEventPayload } from '../analytics';
export declare const copyToClipboard: (textToCopy: string) => Promise<void>;
export declare const copyHTMLToClipboard: (elementToCopy: HTMLElement, plainTextToCopy?: string) => Promise<void>;
export declare const copyHTMLToClipboardPolyfill: (elementToCopy: HTMLElement, plainTextToCopy?: string) => void;
export declare const getAnalyticsPayload: (state: EditorState, action: ACTION.CUT | ACTION.COPIED) => AnalyticsEventPayload | undefined;
