/** @jsx jsx */
import type { CSSProperties } from 'react';
import { jsx } from '@emotion/react';
import type { LozengeData } from './index';
export declare const ICON_SIZE = 24;
type LozengeComponentProps = {
    lozengeData?: LozengeData;
    extensionName: string;
    title: string;
    params: any;
    renderImage: (lozengeData: LozengeData) => void;
    isNodeSelected?: boolean;
    showMacroInteractionDesignUpdates?: boolean;
    customContainerStyles?: CSSProperties;
    isNodeHovered?: boolean;
    isNodeNested?: boolean;
};
export declare const LozengeComponent: ({ lozengeData, extensionName, title, params, renderImage, showMacroInteractionDesignUpdates, customContainerStyles, isNodeHovered, isNodeNested, }: LozengeComponentProps) => jsx.JSX.Element;
export {};
