/// <reference types="react" />
import { jsx } from '@emotion/react';
import type { IntlShape } from 'react-intl-next';
export type CommentBadgeProps = {
    intl: IntlShape;
    width?: number;
    height?: number;
    mediaElement?: HTMLElement | null;
    onClick: (e: React.MouseEvent) => void;
    isEditor?: boolean;
};
export declare const CommentBadge: ({ intl, width, height, mediaElement, onClick, isEditor, }: CommentBadgeProps) => jsx.JSX.Element;
